/*
 * Copyright 2019 New Vector Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package im.vector.riotredesign.core.extensions

import im.vector.matrix.android.api.session.Session
import im.vector.matrix.android.api.session.sync.FilterService
import im.vector.riotredesign.features.notifications.PushRuleTriggerListener

fun Session.configureAndStart(pushRuleTriggerListener: PushRuleTriggerListener) {
    open()
    setFilter(FilterService.FilterPreset.RiotFilter)
    startSync()
    refreshPushers()
    pushRuleTriggerListener.startWithSession(this)
    fetchPushRules()

    // TODO P1 From HomeActivity
    // @Inject lateinit var incomingVerificationRequestHandler: IncomingVerificationRequestHandler
    // @Inject lateinit var keyRequestHandler: KeyRequestHandler
}